## celestia-1.7.0 pre20241231

=== CMakeLists.txt ===
if(WIN32)
  # Require more recent CMake on Windows because DLLs are a pain
  cmake_minimum_required(VERSION 3.19)
else()
  cmake_minimum_required(VERSION 3.9)
endif()

# Plain and keyword target_link_libraries() signatures cannot be mixed
if (POLICY CMP0023)
  cmake_policy(SET CMP0023 NEW)
endif()

# Honor link flags in try_compile()
if (POLICY CMP0056)
  cmake_policy(SET CMP0056 NEW)
endif()

# only use the additional link flags when linking executables if the
# ENABLE_EXPORTS target property is set to True
if(POLICY CMP0065)
  cmake_policy(SET CMP0065 NEW)
endif()

# Honor language standard (CMAKE_CXX_STANDARD) in try_compile()
if(POLICY CMP0067)
  cmake_policy(SET CMP0067 NEW)
endif()

# Ignore generated source files in AUTOMOC and AUTOUIC
if(POLICY CMP0071)
  cmake_policy(SET CMP0071 OLD)
endif()

# Remove leading and trailing whitespace from libraries linked
if(POLICY CMP0004)
  cmake_policy(SET CMP0004 NEW)
endif()

# Use Boost-provided FindBoost module instead of CMake-provided one
if(POLICY CMP0167)
  cmake_policy(SET CMP0167 NEW)
endif()

# Normalize install(DESTINATION) paths
if(POLICY CMP0177)
  cmake_policy(SET CMP0177 NEW)
endif()

project(celestia VERSION 1.7.0 LANGUAGES C CXX)
set(DISPLAY_NAME "Celestia")
#
#
#
option(ENABLE_CELX        "Enable celx scripting, requires Lua library? (Default: on)" ON)
option(ENABLE_SPICE       "Use spice library? (Default: off)" OFF)
option(ENABLE_NLS         "Enable interface translation? (Default: on)" ON)
option(ENABLE_GTK         "Build GTK2 frontend (Unix only)? (Default: off)" OFF)
option(ENABLE_QT5         "Build Qt frontend? (Default: off)" OFF)
option(ENABLE_QT6         "Build Qt6 frontend (Default: off)" OFF)
option(ENABLE_SDL         "Build SDL frontend? (Default: off)" OFF)
option(ENABLE_WIN         "Build Windows native frontend? (Default: on)" ON)
option(ENABLE_FFMPEG      "Support video capture using FFMPEG (Default: off)" OFF)
option(ENABLE_MINIAUDIO   "Support audio playback using miniaudio (Default: off)" OFF)
option(ENABLE_TOOLS       "Build different tools? (Default: off)" OFF)
option(ENABLE_FAST_MATH   "Build with unsafe fast-math compiller option (Default: off)" OFF)
option(ENABLE_TESTS       "Enable unit tests? (Default: off)" OFF)
option(ENABLE_GLES        "Build for OpenGL ES 2.0 instead of OpenGL 2.1 (Default: off)" OFF)
option(ENABLE_LTO         "Enable link time optimizations (Default: off)" OFF)
option(USE_GTKGLEXT       "Use libgtkglext1 for GTK2 frontend (Default: on)" ON)
option(USE_GTK3           "Use Gtk3 in GTK2 frontend (Default: off)" OFF)
option(USE_WAYLAND        "Use Wayland in Qt frontend (Default: off)" OFF)
option(USE_GLSL_STRUCTS   "Use structs in GLSL (Default: off)" OFF)
option(USE_ICU            "Use ICU for UTF8 decoding for text rendering (Default: off)" OFF)
option(USE_WIN_ICU        "Use Windows SDK's ICU implementation (Default: off)" OFF)
option(USE_MESHOPTIMIZER  "Use meshoptimizer (Default: off)" OFF)
option(USE_WEFFCPP        "Use the -Weffc++ option when compiling with GCC (Default: off)" OFF)
option(LEGACY_OPENGL_LIBS "Use legacy OpenGL libraries instead of glvnd library (Default: off)" OFF)

# Prefer GLVND or "legacy" OpenGL library (libOpenGL.so vs libGL.so)
if(LEGACY_OPENGL_LIBS)
  set(OpenGL_GL_PREFERENCE LEGACY)
else()
  set(OpenGL_GL_PREFERENCE GLVND)
endif()

# Qt requires -fPIC, so build all code with it
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

if(APPLE AND ENABLE_QT5 AND ENABLE_QT6)
  # If someone figures out how to resolve the include path conflicts, this can be removed
  message(FATAL_ERROR "Simultaneous builds of Qt5 and Qt6 are not supported on Apple systems")
endif()

if(ENABLE_GLES)
  add_definitions(-DGL_ES)
  # Disable USE_GTKGLEXT if using OpenGL ES
  set(USE_GTKGLEXT OFF)
endif()

if(USE_GLSL_STRUCTS)
  # GLES SL on some old Android device or with ANGLE presents a link failure with empty error when using struct.
  # GLSL on old version of Mac OS X appears to have a bug that precludes us from using structs.
  add_definitions(-DUSE_GLSL_STRUCTS)
endif()

# Use our cmake files
list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

# Require Windows 7
if(WIN32)
  set(WINVER 0x0601)
  set(NTDDI_VER 0x06010000)
endif()

if(USE_ICU)
  add_definitions(-DUSE_ICU)
  if(WIN32 AND USE_WIN_ICU)
    include(winicu)
    EnableWinICU()
  else()
    find_package(ICU REQUIRED COMPONENTS uc i18n)
    link_libraries(ICU::uc ICU::i18n)
  endif()
endif()

if(USE_GTK3)
  # Disable USE_GTKGLEXT if using Gtk+3
  set(USE_GTKGLEXT OFF)
endif()

if(NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE "Release" CACHE STRING "Build type." FORCE)
endif()

set(CMAKE_INCLUDE_CURRENT_DIR ON)

if(UNIX AND (NOT CYGWIN))
  set(_UNIX true)
endif()

# _USE_MATH_DEFINES enables use of math constants like M_PI,
# which are by default disabled in standard C++ mode (like std=c++11 instead of std=gnu11)
add_definitions(-D_USE_MATH_DEFINES)

# Let CMake handle setting C++11 (since 3.1)
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()
set(CMAKE_C_STANDARD 11)

if(NOT WIN32)
  include(GNUInstallDirs)
  include(rpath)
endif()
include(CheckIncludeFiles)
include(CheckIncludeFileCXX)
include(FastMath)

#
# Compile options
#
if(MSVC)
  # CMake 3.14 and below set warning flags by default, remove them to prevent conflicts
  string(REGEX REPLACE "/W[3|4]" "" CMAKE_C_FLAGS "${CMAKE_C_FLAGS}")
  string(REGEX REPLACE "/W[3|4]" "" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")

  # Additional options
  # utf-8: set source and execution character set to UTF-8
  # bigobj: generate more object sections than allowed by default
  # Promoted to errors
  # C4316: object allocated on the heap may not be aligned 16
  add_compile_options("/utf-8" "/bigobj" "/we4316")

  if(MSVC_VERSION GREATER_EQUAL 1914)
    # /Zc:__cplusplus: correctly set __cplusplus macro value
    add_compile_options("/Zc:__cplusplus")
  endif()
endif()

if(MINGW)
  # MinGW has a bug which causes too many false-positive warnings
  # for 'operator!='
  add_compile_options(-Wno-attributes)
endif()

# G++ 10 introduced static analyzer
if(USE_WEFFCPP AND CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
  string(REPLACE "." ";" GXX_VERSION_LIST ${CMAKE_CXX_COMPILER_VERSION})
  list(GET GXX_VERSION_LIST 0 MAJOR)
  if(MAJOR GREATER 9)
    add_compile_options($<$<COMPILE_LANGUAGE:CXX>:-Weffc++>)
  endif()
endif()

EnableFastMath(${ENABLE_FAST_MATH})

#
# NLS (Gettext) support
#
if(ENABLE_NLS)
  find_package(Gettext)
  if(NOT GETTEXT_FOUND)
    message(WARNING "Gettext is not found, translations won't be created.")
  endif()

  find_package(Intl REQUIRED)
  include(FixIntl)
  MakeIntlTarget()
  link_libraries(Intl::Intl)
  add_definitions(-DENABLE_NLS)
else()
  message(STATUS "NLS is disabled. Not looking for gettext and libintl.")
endif()

if(ENABLE_SPICE)
  find_package(CSPICE)
  if(NOT CSPICE_FOUND)
    message(STATUS "Using cspice submodule")
    add_subdirectory("${CMAKE_SOURCE_DIR}/thirdparty/Spice")
    get_target_property(SPICE_INCLUDE_DIR spice INCLUDE_DIRECTORIES)
    include_directories(${SPICE_INCLUDE_DIR})
    message(STATUS "Spice include directories: ${SPICE_INCLUDE_DIR}")
    add_library(CSPICE::CSPICE ALIAS spice)
  else()
    include_directories(${CSPICE_INCLUDE_DIR})
  endif()
  add_definitions(-DUSE_SPICE)
else()
  message(STATUS "NAIF SPICE is disabled. Not looking for cspice library.")
endif()

if(ENABLE_FFMPEG)
  include(FindFFMPEG)
  find_package(FFMPEG REQUIRED COMPONENTS avcodec avutil avformat swscale)
  link_libraries(FFMPEG::AVCODEC FFMPEG::AVUTIL FFMPEG::AVFORMAT FFMPEG::SWSCALE)
  add_definitions(-DUSE_FFMPEG)
endif()

if(ENABLE_MINIAUDIO)
  add_library(miniaudio INTERFACE)
  target_include_directories(miniaudio INTERFACE "${CMAKE_SOURCE_DIR}/thirdparty/miniaudio")

  if(UNIX AND (NOT APPLE))
    set(THREADS_PREFER_PTHREAD_FLAG ON)
    find_package(Threads REQUIRED)
    target_link_libraries(miniaudio INTERFACE Threads::Threads)
  endif()

  link_libraries(miniaudio)
  add_definitions(-DUSE_MINIAUDIO)
endif()

if(ENABLE_LIBAVIF)
  find_package(Libavif REQUIRED)
  link_libraries(libavif::libavif)
  include_directories(${LIBAVIF_INCLUDE_DIR})
  add_definitions(-DUSE_LIBAVIF)
endif()

if(_UNIX)
  find_package(PkgConfig)
endif()

if(WIN32)
  link_libraries("vfw32" "comctl32" "winmm")
endif()

if(ENABLE_WIN OR ENABLE_TOOLS)
  find_package(OpenGL REQUIRED)
endif()

find_package(Libepoxy REQUIRED)
link_libraries(libepoxy::libepoxy)
include_directories(${LIBEPOXY_INCLUDE_DIR})

find_package(Eigen3 3.3 REQUIRED NO_MODULE) # -DEigen3_DIR=...
message(STATUS "Found Eigen3 ${EIGEN3_VERSION_STRING}")
link_libraries(Eigen3::Eigen)

find_package(fmt 8.0.0 CONFIG QUIET)
if(NOT fmt_FOUND)
  message(STATUS "Using fmt submodule")
  add_subdirectory("${CMAKE_SOURCE_DIR}/thirdparty/fmt")
endif()
link_libraries(fmt::fmt)

find_package(PNG REQUIRED)
add_definitions(${PNG_DEFINITIONS})
link_libraries(PNG::PNG)

include(FixJPEG)
find_package(JPEG REQUIRED) # -DJPEG_LIBRARY=...
MakeJPEGTarget()
link_libraries(JPEG::JPEG)

if(ENABLE_CELX)
  add_definitions(-DCELX)

  find_package(LuaJIT)
  if(LUAJIT_FOUND)
    link_libraries(LuaJIT::LuaJIT)
  else()
    find_package(Lua REQUIRED)
    include(FixLua)
    MakeLuaTarget()
    link_libraries(Lua::Lua)
  endif()
else()
  message(STATUS "CELX is disabled. Not looking for LUA libraries.")
endif()

find_package(Freetype REQUIRED)
link_libraries(Freetype::Freetype)

if(USE_MESHOPTIMIZER)
  find_package(meshoptimizer CONFIG REQUIRED)
  set(HAVE_MESHOPTIMIZER 1)
endif()

if(USE_WAYLAND)
  message(STATUS "Creating Wayland protocol helpers")

  find_package(Wayland COMPONENTS protocols scanner REQUIRED)

  include(WaylandAddProtocolClient)
  wayland_add_protocol_client(PROTOCOL_SOURCES
    "unstable/pointer-constraints/pointer-constraints-unstable-v1.xml")
  wayland_add_protocol_client(PROTOCOL_SOURCES
    "unstable/relative-pointer/relative-pointer-unstable-v1.xml")

  set_source_files_properties(${PROTOCOL_SOURCES} PROPERTIES GENERATED ON)
  add_library(wayland-protocols-helper STATIC ${PROTOCOL_SOURCES})
  target_include_directories(wayland-protocols-helper INTERFACE ${CMAKE_CURRENT_BINARY_DIR})
endif()

find_package(gperf REQUIRED)

find_package(Boost REQUIRED)
link_libraries(Boost::boost)
add_definitions(-DBOOST_NO_EXCEPTIONS)

#[[
get_cmake_property(_variableNames VARIABLES)
list (SORT _variableNames)
foreach (_variableName ${_variableNames})
    message(STATUS "${_variableName}=${${_variableName}}")
endforeach()
]]#

if(WIN32)
  set(CMAKE_INSTALL_BINDIR ".")
  set(CMAKE_INSTALL_DATAROOTDIR ".")
  set(CMAKE_INSTALL_DATADIR ".")
  set(CMAKE_INSTALL_FULL_LOCALEDIR "locale")
  set(CMAKE_INSTALL_LOCALEDIR "${CMAKE_INSTALL_FULL_LOCALEDIR}")
  set(DATADIR "${CMAKE_INSTALL_DATADIR}")
  set(FULL_DATADIR ".")
else()
  set(DATADIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}")
  set(FULL_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}")
endif()

if(NOT GIT_COMMIT)
  find_program(GIT_FOUND git)
  if(GIT_FOUND)
    execute_process(
      COMMAND git log --pretty=format:%h -1
      WORKING_DIRECTORY "${CMAKE_SOURCE_DIR}"
      OUTPUT_VARIABLE GIT_COMMIT
    )
    if("${GIT_COMMIT}" STREQUAL "")
      set(GIT_COMMIT "unknown")
    endif()
  else()
    set(GIT_COMMIT "unknown")
  endif()
endif()

#
# Compile definitions
#
add_definitions(
  -DVERSION="${PROJECT_VERSION}"
  -DGIT_COMMIT="${GIT_COMMIT}"
)

add_definitions(
  -DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
  -DCONFIG_DATA_DIR="${FULL_DATADIR}"
  -DHIP_DATA_DIR="${FULL_DATADIR}"
)

if(WIN32)
  add_definitions(
    -D_CRT_SECURE_NO_WARNINGS
    -D_SCL_SECURE_NO_WARNINGS
    -DNOMINMAX
    -DWIN32_LEAN_AND_MEAN
    -DUNICODE
    -D_UNICODE
    -DWINVER=${WINVER}
    -D_WIN32_WINNT=${WINVER}
    -DNTDDI_VERSION=${NTDDI_VER}
  )
  # Fix the issue: https://github.com/CelestiaProject/Celestia/issues/364
  add_definitions(-D_ENABLE_EXTENDED_ALIGNED_STORAGE)
endif()

if(APPLE)
  add_definitions(-DGL_SILENCE_DEPRECATION)
endif()

=== fonts/CMakeLists.txt ===
file(GLOB FONTS_SOURCES "*.ttf")

install(
  FILES ${FONTS_SOURCES}
  DESTINATION "${DATADIR}/fonts"
  COMPONENT core
)

=== help/CMakeLists.txt ===
file(GLOB HELP_SOURCES "*.html")
file(GLOB HELP2_SOURCES "CelestiaGuide/*.*")

install(
  FILES ${HELP_SOURCES}
  DESTINATION "${DATADIR}/help"
  COMPONENT core
)
install(
  FILES ${HELP2_SOURCES}
  DESTINATION "${DATADIR}/help/CelestiaGuide"
  COMPONENT core
)

=== images/CMakeLists.txt ===
file(GLOB IMAGES_SOURCES INFO.txt "*.jpg" "*.png" "*.dds")

install(
  FILES ${IMAGES_SOURCES}
  DESTINATION "${DATADIR}/images"
  COMPONENT core
)

=== locale/CMakeLists.txt ===
file(GLOB LOCALE_SOURCES "controls_*.txt" "*.cel")

install(
  FILES ${LOCALE_SOURCES}
  DESTINATION "${DATADIR}/locale"
  COMPONENT core
)

=== po/CMakeLists.txt ===
if((NOT ENABLE_NLS) OR (NOT GETTEXT_FOUND))
  return()
endif()

add_custom_target(translations ALL)

file(GLOB PO_FILES "*.po")

foreach(PO_FILE IN LISTS PO_FILES)
  get_filename_component(PO_LANGUAGE "${PO_FILE}" NAME_WLE)
  set(GMO_FILE "${CMAKE_CURRENT_BINARY_DIR}/${PO_LANGUAGE}.gmo")
  add_custom_command(
    OUTPUT "${GMO_FILE}"
    COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${GMO_FILE} ${PO_FILE}
    DEPENDS "${PO_FILE}"
    VERBATIM
  )

  add_custom_target(translation_${PO_LANGUAGE} DEPENDS "${GMO_FILE}")
  add_dependencies(translations translation_${PO_LANGUAGE})

  install(
    FILES "${GMO_FILE}"
    DESTINATION ${CMAKE_INSTALL_LOCALEDIR}/${PO_LANGUAGE}/LC_MESSAGES
    RENAME celestia.mo
    COMPONENT core
  )
endforeach()

=== scripts/CMakeLists.txt ===
file(GLOB SCRIPTS_SOURCES "*.cel" "*.celx" "overlay/*.cel" "overlay/*.celx")

install(
  FILES ${SCRIPTS_SOURCES}
  DESTINATION "${DATADIR}/scripts"
  COMPONENT core
)

=== shaders/CMakeLists.txt ===
file(GLOB SHADERS_SOURCES *.glsl)

install(
  FILES ${SHADERS_SOURCES}
  DESTINATION "${DATADIR}/shaders"
  COMPONENT core
)

=== src/CMakeLists.txt ===
set(CELESTIA_LIBS
  cel3ds
  celastro
  celcompat
  celengine
  celephem
  celestia
  celimage
  celmath
  celmodel
  celrender
  celttf
  celutil
)

foreach(lib ${CELESTIA_LIBS})
  add_subdirectory(${lib})
endforeach()

add_subdirectory(celscript)

if (ENABLE_TOOLS)
  add_subdirectory(tools)
endif()

=== test/CMakeLists.txt ===
include(doctest/doctest.cmake)

add_library(doctest_main OBJECT doctest_main.cpp)
target_compile_definitions(doctest_main PUBLIC DOCTEST_CONFIG_USE_STD_HEADERS)
target_include_directories(doctest_main PUBLIC doctest)

set(_CELESTIA_TESTS_BASE_DIR "${CMAKE_CURRENT_LIST_DIR}")

macro(test_case)
  set(tgt ${ARGV0})
  set(tgt_sources ${ARGV})
  list(REMOVE_AT tgt_sources 0)

  add_executable(${tgt} $<TARGET_OBJECTS:doctest_main> ${tgt_sources})
  target_link_libraries(${tgt} PRIVATE celestia)
  if(NOT MSVC)
    target_compile_options(${tgt} PRIVATE $<$<COMPILE_LANGUAGE:CXX>:-fexceptions>)
  endif()
  target_compile_definitions(${tgt} PRIVATE
    DOCTEST_CONFIG_USE_STD_HEADERS
  )
  target_include_directories(${tgt} PRIVATE "${_CELESTIA_TESTS_BASE_DIR}/doctest")
  if(WIN32)
    # Need to copy the dlls before test discovery
    add_custom_command(
      TARGET ${tgt} PRE_LINK
      COMMAND
        ${CMAKE_COMMAND}
          -D "DEPS_TARGET_FILE=$<TARGET_FILE:celestia>"
          -D "DEPS_DEST_DIR=$<TARGET_FILE_DIR:${tgt}>"
          -D "DEPS_COPY_TARGET=ON"
          -P "${CMAKE_SOURCE_DIR}/cmake/CopyDependentDlls.cmake"
      VERBATIM
    )
  endif()

  doctest_discover_tests(${tgt})
endmacro()

add_subdirectory(integration)
add_subdirectory(unit)

=== src/cel3ds/CMakeLists.txt ===
set(CEL3DS_SOURCES
  3dsmodel.cpp
  3dsmodel.h
  3dsread.cpp
  3dsread.h
)

add_library(cel3ds OBJECT ${CEL3DS_SOURCES})

=== src/celastro/CMakeLists.txt ===
set(CELASTRO_SOURCES
  astro.cpp
  astro.h
  date.cpp
  date.h
  units.cpp
  units.h)

add_library(celastro OBJECT ${CELASTRO_SOURCES})

=== debian/changelog ===
celestia (1.7.0~git20190807+d9746691+0) UNRELEASED; urgency=medium

  * New snapshot build

 -- Hleb Valoshka <375gnu@gmail.com>  Wed, 07 Aug 2019 18:47:48 +0300

celestia (1.6.1+dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix mips64(el) build: don't use mips as variable name (Closes: 754266).

 -- YunQiang Su <syq@debian.org>  Thu, 16 Oct 2014 18:21:52 +0800

celestia (1.6.1+dfsg-3) unstable; urgency=low

  [ Julian Taylor ]
  * Fix FTBFS with ld --no-add-needed and --as-needed. Closes: #704538, #713604

  [ Guus Sliepen ]
  * Use the autotools-dev dh addon to update config.guess/config.sub for
    arm64. Closes: #727845
  * Bump Standards-Version.
  * Add -Wl,--as-needed back.

 -- Guus Sliepen <guus@debian.org>  Sun, 27 Oct 2013 22:54:15 +0100

celestia (1.6.1+dfsg-2) unstable; urgency=low

  * Build-Depend on libpng-dev instead of libpng12-dev. Closes: #662285
  * Add missing #include "mathlib.h" to fix FTBFS with gcc-4.7. Closes: #672081
  * Enable locales as early as possible in the GNOME frontend. Unfortunately
    does not seem to close #668234.
  * Use dpkg-buildflags, Build-Depend on dpkg-dev.
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Sat, 19 May 2012 21:49:43 +0200

celestia (1.6.1+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Remove patches that have been applied upstream.
  * Build-Depend on libjpeg-dev instead of libjpeg62-dev. Closes: #641096
  * Add patch from Nobuhiro Iwamatsu fixing FTBFS with libpng 1.5.
    Closes: #649551
  * Remove -Wl,--as-needed from the linker flags to ensure it compiles.

 -- Guus Sliepen <guus@debian.org>  Sat, 24 Dec 2011 14:31:06 +0100

celestia (1.6.0+dfsg-4) unstable; urgency=low

  * Add missing Build-Dependencies on libjpeg62-dev and libpng12-dev.

 -- Guus Sliepen <guus@debian.org>  Sat, 21 May 2011 21:35:45 +0200

celestia (1.6.0+dfsg-3) unstable; urgency=low

  * Remove Build-Dependency on libqt3-mt-dev.
  * Bump Standards-Version. 
  * Make dereferenced temporaries slightly less temporary. Closes: #625014
  * Add Belarusian translation. Closes: #602429

 -- Guus Sliepen <guus@debian.org>  Sat, 21 May 2011 20:20:22 +0200

celestia (1.6.0+dfsg-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove KDE frontend support, thus removing dependency on kde4libs-dev.
    (Closes: #604263, #516238, #527923, #567789, #498941, #604903).
  * Remove KDE 3 related files, as we don't use it anymore:
    - debian/celestia-kde.1
    - debian/celestia-kde.README.Debian
    - debian/celestia-kde.docs
    - debian/celestia-kde.manpages
    - debian/celestia-kde.menu
    - debian/celestia-kde.postinst
    - debian/celiestia-kde.prerm
  * Remove celestia-kde:
    - Remove binary package.
    - Remove celestia-kde from celestia's depends, keeping the order of
      preferences of the rest of the packages.
    - Remove KDE front-end from celestia-glut's description.

  * Modify debian/rules to not build celestia-kde:
    - Remove build-kde from BUILDDIRS.
    - Remove KDE-related commands.

  * Fix build with GCC 4.5 using fix-build-with-gcc-4.5.patch, thanks 
    to Peter Green (Closes: #564970).

  * Add missing -ldl to link against libdl. This is done with 
    add_missing_ldl.patch.

 -- Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>  Tue, 29 Mar 2011 09:55:40 -0300

celestia (1.6.0+dfsg-2) unstable; urgency=low

  * Apply patch from Alessio Tregliam dropping aRTs support. Closes: #563664
  * Apply patch from Alessio Tregliam fixing the celestia-glut desktop file.
    Closes: #563665
  * Apply patch from Emilio Pozuelo Monfort removing unnecessary
    Build-Dependency on libgnomeuimm-2.6-dev. Closes: #568803
  * Add Norwegian Bokmål translation from Bjørn Steensrud.
    Closes: #572041, #570619
  * Bump Standards-Version.

 -- Guus Sliepen <guus@debian.org>  Mon, 02 Aug 2010 21:50:50 +0200

celestia (1.6.0+dfsg-1) unstable; urgency=low

  * New upstream release. Closes: #560753
  * Adopt 3.0 (quilt) source format.
  * Bump Standards-Version.
  * Use dh_prep instead of dh_clean -k.
  * Copy config.{sub,guess} from autotools-dev before configuring.
  * Add missing dependencies on ${misc:Depends}.
  * Remove call to dh_desktop.
  * Mangle version in watch file.

 -- Guus Sliepen <guus@debian.org>  Sun, 20 Dec 2009 12:50:23 +0100

celestia (1.5.1+dfsg1-2) unstable; urgency=low

  * Remove unused Build-Depends on gtkglarea5-dev. Closes: #516342
  * Make celestia-kde Suggest khelpcenter instead of Depending on it.
    Closes: #506794
  * Add missing includes to fix FTBFS with GCC 4.4. Closes: #504863

 -- Guus Sliepen <guus@debian.org>  Fri, 20 Feb 2009 23:56:59 +0100

celestia (1.5.1+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Remove textures and models with unclear license status from the source:
    - maps taken from http://maps.jpl.nasa.gov/
    - models of Toutatis, Kleopatra and Geographos
    Closes: #174456
  * Suggest celestia-common-nonfree package containing the above mentioned
    textures and models.
  * Revert to acinclude.m4 from celestia 1.5.0 in order to build celestia-kde.
  * Use stdint.h for architecture independent data types. Again.
    Closes: #137769

 -- Guus Sliepen <guus@debian.org>  Sat, 17 May 2008 23:09:35 +0200

celestia (1.5.0-3) unstable; urgency=low

  * Correct fix for some min()/max() uses (previous one was only working on 64
    bit architectures).

 -- Guus Sliepen <guus@debian.org>  Sat, 12 Apr 2008 20:49:11 +0200

celestia (1.5.0-2) unstable; urgency=low

  * Add missing includes and fix min()/max() usage necessary for compilation
    with GCC 4.3. Closes: #455417
  * Use the -l option when copying files to the temporary build directories.

 -- Guus Sliepen <guus@debian.org>  Sat, 12 Apr 2008 15:38:58 +0200

celestia (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * Sync with Ubuntu hardy (see changelog entries below).
  * Add calls to dh_icons and dh_desktop in debian/rules.


=== debian/control ===
Source: celestia
Section: science
Priority: optional
Maintainer: Hleb Valoshka <375gnu@gmail.com>
Build-Depends: debhelper (>= 10~),
               chrpath,
               cmake (>= 3.1~),
               libeigen3-dev (>= 3.3~),
               libfmt-dev (>= 4),
               libfreetype6-dev,
               libepoxy-dev,
               libglu1-mesa-dev,
               libgtk2.0-dev,
               libgtkglext1-dev,
               libjpeg62-turbo-dev | libjpeg-dev,
               libluajit-5.1-dev,
               libpng-dev (>= 1.6) | libpng16-dev,
               libqt5opengl5-dev,
               libtheora-dev,
               qtbase5-dev,
               qtbase5-dev-tools
Standards-Version: 4.0.0
Homepage: https://github.com/CelestiaProject/Celestia

Package: celestia-common
Architecture: all
Conflicts: celestia (<< 1.4.1), celestia-common (<< 1.7.0~)
Replaces: celestia (<< 1.4.1), celestia-common (<< 1.7.0~)
Depends: fonts-dejavu-core, ${misc:Depends}
Description: common files for Celestia, a real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the files common for all Celestia frontends.

Package: celestia
Architecture: all
Depends: celestia-qt5 | celestia-gtk, ${misc:Depends}
Description: real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This is a dummy package that selects at least one frontend for Celestia.

Package: celestia-qt5
Section: science
Architecture: any
Depends: libcelestia1.7 (= ${binary:Version}),
         celestia-common (= ${binary:Version}),
         celestia-data (>= 1.7.0~),
         ${shlibs:Depends}, ${misc:Depends}
Conflicts: celestia (<< 1.4.1)
Replaces: celestia (<< 1.4.1)
Suggests: stellarium
Description: real-time visual space simulation (Qt5 frontend)
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the Qt5 frontend for Celestia.

Package: celestia-gtk
Section: science
Architecture: any
Depends: libcelestia1.7 (= ${binary:Version}),
         celestia-common (= ${binary:Version}),
         celestia-data (>= 1.7.0~),
         ${shlibs:Depends}, ${misc:Depends}
Conflicts: celestia (<< 1.4.1), celestia-gnome (<< 1.7.0~)
Replaces: celestia (<< 1.4.1), celestia-gnome (<< 1.7.0~)
Suggests: stellarium
Description: real-time visual space simulation (Gtk frontend)
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the Gtk2 frontend for Celestia.

Package: libcelestia1.7
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: tzdata
Description: Library for the Celestia space simulator
 This package includes the libcelestia library, which is
 necessary to run Celestia.

Package: celestia-tools
Architecture: any
Depends: libcelestia1.7 (= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Conflicts: celestia (<< 1.4.1)
Replaces: celestia (<< 1.4.1)
Suggests: stellarium
Description: real-time visual space simulation (tools)
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains tools required to create data files for Celestia.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_auto_configure:
	if echo "$(DEB_VERSION)" | grep -q '~git' ; then \
		_git_commit=$$(echo "$(DEB_VERSION)" | cut -d'+' -f2) ; \
	else \
		_git_commit="unknown" ; \
	fi ; \
	dh_auto_configure --parallel --	\
		-DENABLE_GTK=ON		\
		-DENABLE_QT5=ON		\
		-DENABLE_TOOLS=ON	\
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DGIT_COMMIT="$$_git_commit"


override_dh_install:
	find debian/tmp/usr/bin/ -type f ! -name *.pl -exec chrpath --delete {} ';'
	chrpath --delete debian/tmp/usr/lib/*/libcelestia.so.*
	rm debian/tmp/usr/share/celestia/COPYING
	dh_install
	dh_missing --fail-missing
	mv debian/celestia-common/usr/share/celestia/celestia.cfg \
	   debian/celestia-common/etc/celestia.cfg
	ln -s /etc/celestia.cfg debian/celestia-common/usr/share/celestia/
	rm debian/celestia-common/usr/share/celestia/fonts/*
	ln -s /usr/share/fonts/truetype/dejavu/DejaVuSans.ttf \
	      debian/celestia-common/usr/share/celestia/fonts/
	ln -s /usr/share/fonts/truetype/dejavu/DejaVuSans-Bold.ttf \
	      debian/celestia-common/usr/share/celestia/fonts/

=== debian/watch ===
version=3
https://github.com/CelestiaProject/Celestia/tags .*/([\d.]+)\.tar\.gz

## celestia-1.7.0 pre20241231-data

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.8)

# Normalize install(DESTINATION) paths
if(POLICY CMP0177)
  cmake_policy(SET CMP0177 NEW)
endif()

# set languages to C to stop GNUInstallDirs from complaining
project(celestia VERSION "1.7.0" LANGUAGES C)

option(ENABLE_NLS     "Enable object names translation? (Default: on)" ON)

# Use our cmake files
list(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

include(GNUInstallDirs)
include(install_to_extras_subdir)

if(ENABLE_NLS)
  find_package(Gettext)
  if(NOT GETTEXT_FOUND)
    message(WARNING "Gettext is not found, traslations won't be created.")
  endif()
  include(FixGettext)
endif()

if(WIN32)
  set(CMAKE_INSTALL_BINDIR ".")
  set(CMAKE_INSTALL_DATAROOTDIR ".")
  set(CMAKE_INSTALL_DATADIR ".")
  set(CMAKE_INSTALL_FULL_LOCALEDIR "locale")
  set(CMAKE_INSTALL_LOCALEDIR "${CMAKE_INSTALL_FULL_LOCALEDIR}")
  set(DATADIR "${CMAKE_INSTALL_DATADIR}")
  set(FULL_DATADIR ".")
else()
  set(DATADIR "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}")
  set(FULL_DATADIR "${CMAKE_INSTALL_FULL_DATADIR}/${PROJECT_NAME}")
endif()

add_subdirectory(data)
add_subdirectory(extras)
add_subdirectory(extras-standard)
add_subdirectory(models)
add_subdirectory(models-extra)
add_subdirectory(po)
add_subdirectory(textures)
add_subdirectory(warp)

=== extras-standard/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

add_subdirectory(apollo)
add_subdirectory(cassini)
add_subdirectory(galileo)
add_subdirectory(hubble)
add_subdirectory(interstellar-objects)
add_subdirectory(mir)
add_subdirectory(shroxclassic)
add_subdirectory(shroxmars)
add_subdirectory(skylab)

=== extras/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

set(EXTRA_SOURCES
)

install(FILES ${EXTRA_SOURCES} DESTINATION "${DATADIR}/extras" COMPONENT extras)

=== models-extra/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

file(GLOB MODELS_EXTRA_SOURCES "*.3ds" "*.cmod" "*.cms" "*.png" "*.license")
install(FILES ${MODELS_EXTRA_SOURCES} DESTINATION "${DATADIR}/models" COMPONENT models-extras EXCLUDE_FROM_ALL)

=== po/Makefile ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

po_files := $(wildcard *.po)
domain   := celestia-data
pot_file := $(domain).pot

all: po-update

$(pot_file): $(pot_file)-update

$(pot_file)-update: data.cpp
	xgettext --keyword=_ --keyword=i18n \
	         --keyword=C_:1c,2 --keyword=i18nc:1c,2 \
	         --sort-by-file --qt --add-comments \
	         --default-domain=$(domain) --package-name=celestia --package-version=1.7.0 \
	         --msgid-bugs-address=team@celestiaproject.space \
	         --copyright-holder="Celestia Development Team" \
	         --output=$(pot_file) \
	         --from-code=utf-8 \
	         data.cpp

data.cpp: ../data/asterisms.dat ../data/solarsys.ssc ../data/earth_locs.ssc ../data/world-capitals.ssc ../data/dwarfplanets.ssc ../data/minormoons.ssc ../data/well-known-starnames.txt ../data/well-known-dsonames.txt
	egrep '^\"' ../data/asterisms.dat | awk -F'\"' '{ print "C_(\"asterism\", \"" $$2 "\");" }' > data.cpp
	egrep '^(\"|ReferencePoint)' ../data/solarsys.ssc | awk -F'\"|:' '{ print "_(\"" $$2 "\");" }' >> data.cpp
	egrep '^(\"|ReferencePoint)' ../data/dwarfplanets.ssc | awk -F'\"|:' '{ print "_(\"" $$2 "\");" }' >> data.cpp
	egrep '^(\"|ReferencePoint)' ../data/minormoons.ssc | awk -F'\"|:' '{ print "_(\"" $$2 "\");" }' >> data.cpp
	grep \"Sol/Earth\" ../data/earth_locs.ssc | awk -F\" '{ print "_(\"" $$2 "\");" }' >> data.cpp
	grep \"Sol/Earth\" ../data/world-capitals.ssc | awk -F\" '{ print "_(\"" $$2 "\");" }' >> data.cpp
	cat ../data/well-known-starnames.txt | awk '{ print "_(\"" $$0 "\");" }' >> data.cpp
	cat ../data/well-known-dsonames.txt | awk '{ print "_(\"" $$0 "\");" }' >> data.cpp

po-update: $(po_files)

%.po: $(pot_file)
	msgmerge --update $@ $(pot_file)

clean: clean-data

clean-data:
	rm -rf data.cpp

=== textures/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

file(GLOB TEXTURES_SOURCES "*.jpg" "*.png" "*.license")

install(FILES ${TEXTURES_SOURCES} DESTINATION "${DATADIR}/textures" COMPONENT core)

add_subdirectory(hires)
add_subdirectory(medres)
add_subdirectory(lores)

=== extras-standard/hubble/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

set(HUBBLE_SOURCES
  hubble.ssc
  models/hubble.cmod
)

install_to_extras_subdir("${DATADIR}" hubble ${HUBBLE_SOURCES})

=== extras-standard/shroxclassic/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

set(CLASSIC_SOURCES
  models/gemini.3ds
  models/mercury7.3ds
  shroxclassic.ssc
)

install_to_extras_subdir("${DATADIR}" shroxclassic ${CLASSIC_SOURCES})

=== extras-standard/skylab/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

set(SKYLAB_SOURCES
  models/skylab.3ds
  skylab.ssc
)

install_to_extras_subdir("${DATADIR}" skylab ${SKYLAB_SOURCES})

=== textures/hires/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

file(GLOB HIRES_SOURCES "*.jpg" "*.png" "*.dds" "*.license")

install(FILES ${HIRES_SOURCES} DESTINATION "${DATADIR}/textures/hires" COMPONENT core)

=== textures/lores/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

file(GLOB LORES_SOURCES "*.jpg" "*.png" "*.dds" "*.license")

install(FILES ${LORES_SOURCES} DESTINATION "${DATADIR}/textures/lores" COMPONENT core)

=== textures/medres/CMakeLists.txt ===
# SPDX-FileCopyrightText: Celestia Development Team
# SPDX-License-Identifier: GPL-2.0-or-later

file(GLOB MEDRES_SOURCES "*.jpg" "*.png" "*.dds" "*.license")

install(FILES ${MEDRES_SOURCES} DESTINATION "${DATADIR}/textures/medres" COMPONENT core)

=== debian/changelog ===
celestiacontent (1:1.0~git20241113+5c493979+0) UNRELEASED; urgency=medium

  * New snapshot build.
  * Remove old enties from the changelog.
  * Change version to 1.0 and bump epoch.
  * Split textures to own packages.

 -- Hleb Valoshka <375gnu@gmail.com>  Sat, 08 Jan 2022 17:39:22 +0200

celestiacontent (1.7.0~git20211202+668347e9+0) bionic; urgency=medium

  * New snapshot build
  * Install translations for celestia-data.

 -- Hleb Valoshka <375gnu@gmail.com>  Thu, 02 Dec 2021 11:09:22 +0200

=== debian/control ===
Source: celestiacontent
Section: science
Priority: optional
Maintainer: Hleb Valoshka <375gnu@gmail.com>
Build-Depends: debhelper (>= 10~)
Standards-Version: 4.0.0
Homepage: https://github.com/CelestiaProject/CelestiaContent

Package: celestia-data
Architecture: all
Conflicts: celestia (<< 1.4.1), celestia-common (<< 1.7.0~), celestia-common-nonfree (<< 1.7.0~)
Replaces: celestia (<< 1.4.1), celestia-common (<< 1.7.0~), celestia-common-nonfree (<< 1.7.0~)
Recommends: celestia
Depends: ${misc:Depends}, celestia-textures-medres | celestia-textures-hires | celestia-textures-lores
Pre-Depends: celestia-tools
Description: data files for Celestia, a real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package installs the data files for Celestia.

Package: celestia-textures-medres
Architecture: all
Conflicts: celestia (<< 1.4.1), celestia-common (<< 1.7.0~), celestia-common-nonfree (<< 1.7.0~)
Replaces: celestia (<< 1.4.1), celestia-common (<< 1.7.0~), celestia-common-nonfree (<< 1.7.0~)
Recommends: celestia
Depends: ${misc:Depends}
Pre-Depends: celestia-tools
Description: data files for Celestia, a real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the medium resolution textures for Celestia.

Package: celestia-textures-hires
Architecture: all
Conflicts: celestia (<< 1.4.1), celestia-common (<< 1.7.0~), celestia-common-nonfree (<< 1.7.0~)
Replaces: celestia (<< 1.4.1), celestia-common (<< 1.7.0~), celestia-common-nonfree (<< 1.7.0~)
Recommends: celestia
Depends: ${misc:Depends}
Pre-Depends: celestia-tools
Description: data files for Celestia, a real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the high resolution textures for Celestia.

Package: celestia-textures-lores
Architecture: all
Conflicts: celestia (<< 1.4.1), celestia-common (<< 1.7.0~), celestia-common-nonfree (<< 1.7.0~)
Replaces: celestia (<< 1.4.1), celestia-common (<< 1.7.0~), celestia-common-nonfree (<< 1.7.0~)
Recommends: celestia
Depends: ${misc:Depends}
Pre-Depends: celestia-tools
Description: data files for Celestia, a real-time visual space simulation
 Celestia is a free 3D astronomy program. Based on the Hipparcos
 Catalogue, it allows users to display objects ranging in scale from
 artificial satellites to entire galaxies in three dimensions using
 OpenGL. Unlike most planetarium software, the user is free to travel
 about the Universe.
 .
 This package contains the low resolution textures for Celestia.
